#include    <avr/io.h>
#include    <stdio.h>
#include    <util/delay.h>


/* sample: lcd_cmd(LCD_DISP_OFF); */
#define LCD_DISP_OFF             0x08   /* display off                            */
#define LCD_DISP_ON              0x0C   /* display on, cursor off                 */
#define LCD_DISP_ON_BLINK        0x0D   /* display on, cursor off, blink char     */
#define LCD_DISP_ON_CURSOR       0x0E   /* display on, cursor on                  */
#define LCD_DISP_ON_CURSOR_BLINK 0x0F   /* display on, cursor on, blink char      */

/* move cursor/shift display */
#define LCD_MOVE_CURSOR_LEFT     0x10   /* move cursor left  (decrement)          */
#define LCD_MOVE_CURSOR_RIGHT    0x14   /* move cursor right (increment)          */
#define LCD_MOVE_DISP_LEFT       0x18   /* shift display left                     */
#define LCD_MOVE_DISP_RIGHT      0x1C   /* shift display right                    */


extern void wait_ms(int miliSec);
extern void lcd_send(char data);
extern void lcd_cmd(char cmd);
extern void lcd_write(char text);
extern void lcd_write_s(char* pText);
extern void lcd_home(void);
extern void lcd_clear(void);
extern void lcd_on(void);
extern void lcd_off(void);
extern void lcd_off(void);
extern void lcd_goto(int row, int col);
extern void lcd_init(void);
extern void lcd_charDef(void);
